<?php

namespace Tests\Fakes;

use App\Services\V1\Vendor\Gcp\CloudResourceManagerIamUserRoleService;
use Glamstack\GoogleCloud\ApiClient;

class CloudResourceManagerIamUserRoleServiceFake extends CloudResourceManagerIamUserRoleService
{
    public function updateIamPolicy(object $policy)
    {
        return parent::updateIamPolicy($policy);
    }

    public function checkIfEmailRoleBindingExists(array $bindings, string $role_name, string $iam_email): bool
    {
        return parent::checkIfEmailRoleBindingExists($bindings, $role_name, $iam_email);
    }

    public function createRoleBindingDefinition(string $role_name)
    {
        return parent::createRoleBindingDefinition($role_name);
    }

    public function checkIfRoleBindingArrayExists(array $bindings, string $role_name): bool
    {
        return parent::checkIfRoleBindingArrayExists($bindings, $role_name);
    }

    public function getRoleBindingArray(array $bindings, string $role_name)
    {
        return parent::getRoleBindingArray($bindings, $role_name); // TODO: Change the autogenerated stub
    }
}
